<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IdeaModel (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IdeaModel (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/IdeaModel.html" target="_top">Frames</a></li>
<li><a href="IdeaModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.idea.model</div>
<h2 title="Class IdeaModel" class="title">Class IdeaModel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.idea.model.IdeaModel</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">IdeaModel</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">DSL-friendly model of the IDEA project information.
 First point of entry when it comes to customizing the IDEA generation.
 <p>
 See the examples in docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a> or <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaProject</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#IdeaModel()">IdeaModel</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#getModule()">getModule</a></strong>()</code>
<div class="block">Configures IDEA module information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#getProject()">getProject</a></strong>()</code>
<div class="block">Configures IDEA project information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#getTargetVersion()">getTargetVersion</a></strong>()</code>
<div class="block">Configures the target IDEA version.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#getWorkspace()">getWorkspace</a></strong>()</code>
<div class="block">Configures IDEA workspace information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#module(org.gradle.api.Action)">module</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&gt;&nbsp;action)</code>
<div class="block">Configures IDEA module information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#module(groovy.lang.Closure)">module</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures IDEA module information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#pathVariables(java.util.Map)">pathVariables</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;pathVariables)</code>
<div class="block">Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#project(org.gradle.api.Action)">project</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a>&gt;&nbsp;action)</code>
<div class="block">Configures IDEA project information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#project(groovy.lang.Closure)">project</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures IDEA project information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#setModule(org.gradle.plugins.ide.idea.model.IdeaModule)">setModule</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&nbsp;module)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#setProject(org.gradle.plugins.ide.idea.model.IdeaProject)">setProject</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a>&nbsp;project)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#setTargetVersion(java.lang.String)">setTargetVersion</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;targetVersion)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#setWorkspace(org.gradle.plugins.ide.idea.model.IdeaWorkspace)">setWorkspace</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a>&nbsp;workspace)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#workspace(org.gradle.api.Action)">workspace</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a>&gt;&nbsp;action)</code>
<div class="block">Configures IDEA workspace information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html#workspace(groovy.lang.Closure)">workspace</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures IDEA workspace information.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IdeaModel()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IdeaModel</h4>
<pre>public&nbsp;IdeaModel()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getModule()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModule</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&nbsp;getModule()</pre>
<div class="block">Configures IDEA module information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a>.</div>
</li>
</ul>
<a name="setModule(org.gradle.plugins.ide.idea.model.IdeaModule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModule</h4>
<pre>public&nbsp;void&nbsp;setModule(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&nbsp;module)</pre>
</li>
</ul>
<a name="getProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProject</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a>&nbsp;getProject()</pre>
<div class="block">Configures IDEA project information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaProject</code></a>.</div>
</li>
</ul>
<a name="setProject(org.gradle.plugins.ide.idea.model.IdeaProject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProject</h4>
<pre>public&nbsp;void&nbsp;setProject(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a>&nbsp;project)</pre>
</li>
</ul>
<a name="getWorkspace()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorkspace</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a>&nbsp;getWorkspace()</pre>
<div class="block">Configures IDEA workspace information.
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaWorkspace</code></a>.</div>
</li>
</ul>
<a name="setWorkspace(org.gradle.plugins.ide.idea.model.IdeaWorkspace)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorkspace</h4>
<pre>public&nbsp;void&nbsp;setWorkspace(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a>&nbsp;workspace)</pre>
</li>
</ul>
<a name="getTargetVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetVersion</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTargetVersion()</pre>
<div class="block">Configures the target IDEA version.</div>
</li>
</ul>
<a name="setTargetVersion(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetVersion</h4>
<pre>public&nbsp;void&nbsp;setTargetVersion(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;targetVersion)</pre>
</li>
</ul>
<a name="module(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre>public&nbsp;void&nbsp;module(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures IDEA module information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a>.</div>
</li>
</ul>
<a name="module(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre>public&nbsp;void&nbsp;module(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a>&gt;&nbsp;action)</pre>
<div class="block">Configures IDEA module information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="project(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre>public&nbsp;void&nbsp;project(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures IDEA project information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaProject</code></a>.</div>
</li>
</ul>
<a name="project(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre>public&nbsp;void&nbsp;project(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a>&gt;&nbsp;action)</pre>
<div class="block">Configures IDEA project information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaProject</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="workspace(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>workspace</h4>
<pre>public&nbsp;void&nbsp;workspace(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures IDEA workspace information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaWorkspace</code></a>.</div>
</li>
</ul>
<a name="workspace(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>workspace</h4>
<pre>public&nbsp;void&nbsp;workspace(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a>&gt;&nbsp;action)</pre>
<div class="block">Configures IDEA workspace information. <p> For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaWorkspace</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="pathVariables(java.util.Map)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>pathVariables</h4>
<pre>public&nbsp;void&nbsp;pathVariables(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;pathVariables)</pre>
<div class="block">Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.). <p> For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pathVariables</code> - A map with String-&gt;File pairs.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/IdeaModel.html" target="_top">Frames</a></li>
<li><a href="IdeaModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
